# Find all regular files, get full information on each.
# Cut out just the size and name.
# Remove redundant lines with no path.
# Sort by name.
# Format as <size> <tab> <name>

cd /
find / -type f -exec ls -al {} \; | \
  cut -c33-41,55-200 | \
  grep -v '[0-9] [A-Za-z]' | \
  awk '{print $2"\t"$1}' | sort | \
  awk '{print $1"\t"$2}' >/usr/lbin/files.srt
